Package name
ethereal
Date
2004-07-09
Advisory ID
MDKSA-2004:067
Affected versions
10.0 amd64 , 9.2 i586 , 10.0 i586 , 9.2 amd64

Problem description

Three vulnerabilities were discovered in Ethereal versions prior to 0.10.5 in the iSNS, SMB SID, and SNMP dissectors. It may be possible to make Ethereal crash or run arbitrary code by injecting a purposefully malformed packet into the wire or by convincing someone to read a malformed packet trace file. These vulnerabilities have been corrected in Ethereal 0.10.5.

Updated packages

10.0 amd64

 d8bc270061ddf4d51d0e2b90a1625a93  amd64/10.0/RPMS/ethereal-0.10.5-0.1.100mdk.amd64.rpm
d5bc03946210445fdc7ff5437689dcf6  amd64/10.0/SRPMS/ethereal-0.10.5-0.1.100mdk.src.rpm

9.2 i586

 45e1e2e19d778472f407d1711c1371f0  9.2/RPMS/ethereal-0.10.5-0.1.92mdk.i586.rpm
ce79508a0c0dc8da1dd5210b887c76ce  9.2/SRPMS/ethereal-0.10.5-0.1.92mdk.src.rpm

10.0 i586

 fb08f1f3aa204c265e6950edaa9a3e54  10.0/RPMS/ethereal-0.10.5-0.1.100mdk.i586.rpm
d5bc03946210445fdc7ff5437689dcf6  10.0/SRPMS/ethereal-0.10.5-0.1.100mdk.src.rpm

9.2 amd64

 7b6ec1b5dd58d7a474f219ecf161244a  amd64/9.2/RPMS/ethereal-0.10.5-0.1.92mdk.amd64.rpm
ce79508a0c0dc8da1dd5210b887c76ce  amd64/9.2/SRPMS/ethereal-0.10.5-0.1.92mdk.src.rpm

References